!TCL=666, (c) copyright 1998-2000 Flatland Inc. update by GEE 2005
!TITLE=3DML Tags (v3.5)
!SORT=n

!TEXT=Spot Template 
<spot version="3.5">
<head>
	<debug/>  <!--remove the debug tag before publishing your spot-->
	<title name="\^name"/>
	<blockset href="http://blocksets.flatland.com/flatsets/basic.bset"/>
	<map dimensions="(columns,rows,levels)" style="single|double"/>
	<sky color="(r,g,b)" texture="folder/image.gif -or- url" brightness="brightness%"/>
	<ground color="(r,g,b)" texture="folder/image.gif -or- url"/>
	<ambient_light brightness="brightness%" color="(r,g,b)"/>
	<orb texture="folder/image.gif -or- url" position="(turn, tilt)" brightness="brightness%" color="(r,g,b)" href="url" target="target name" text="text"/>  
	<ambient_sound file="folder/sound.wav -or- url" volume="volume%" playback="random|looped|once" delay="minimum..maximum"/>
	<placeholder texture="folder/image.gif -or- url"/>
	<stream name="stream_name" href="url-of-stream"/>
	<play_stream name="video/audio file"/>
	<onload href="url" target="target name"/>
	<fog color="(red,green,blue)" start="radius in blocks" end="radius in blocks" density="density%"/>
</head>

<body>

<import></import>

<load></load>

<define>

</define>


<level number="1" >

</level>


<entrance location="(column,row,level)"  name="default" angle="0 - 359,-90 - 90"/>

</body>
</spot>

!
!TEXT=     Debug
	<debug/>  <!--remove the DEBUG tag before publishing your spot-->

!
!TEXT=     Title
	<title name="\^name"/>

!
!TEXT=     Blockset
	<blockset href="http://blocksets.flatland.com/flatsets/basic.bset"/>

!
!TEXT=     Map
	<map dimensions="(\^columns,rows,levels)" style="single|double"/>
	
!
!TEXT=     Sky
	<sky texture="\^folder/image.gif -or- URL" color="(r,g,b)" brightness="brightness%"/>

!
!TEXT=     Ground
	<ground texture="\^folder/image.gif -or- URL" color="(r,g,b)" />

!
!TEXT=     Ambient_light
	<ambient_light brightness="\^brightness%" color="(r,g,b)"/>

!
!TEXT=     Orb
	<orb texture="\^folder/image.gif -or- URL" position="(turn, tilt)" brightness="brightness%" color="(r,g,b)"
		href="url" target="target frame" text="text"/> 

!
!TEXT=     Ambient_sound
	<ambient_sound file="\^folder/sound.wav -or- URL" volume="volume%" playback="random|looped|once" delay="minimum..maximum"/>

!
!TEXT=     Placeholder
	<placeholder texture="\^folder/image.gif -or- URL"/>

!
!TEXT=     Stream
	<stream name="\^stream_name" href="url-of-stream"/>

!
!TEXT=     Play Stream
	<play_stream name="\^video/audio file"/>

!
!TEXT=     Onload
	<onload href="\^url" target="target name"/>

!
!TEXT=     Fog
        <fog color="\^(red,green,blue)" start="radius in blocks" end="radius in blocks" density="density%"/>
	
!
!TEXT=Create Template
<create symbol="\^letter" block="letter-or-block-name">
	<param orient="up|down|north|south|east|west,0|90|180|270|x,y,z"  solid="yes|no"
	        movable="yes|no" origin="(x,y,z)" scale="x,y,z"/>
	<part name="name" texture="folder/image.gif -or- url" 
		style="tiled|scaled|stretched" angle="0-359"
		projection="top|bottom|north|south|east|west"
		faces="0|1|2" solid="yes|no"
		color="(r,g,b)" translucency="number%" 
		stream="stream_name" rect="x1,y1,x2,y2"/>
</create>

!
!TEXT=Script Template
<script trigger="\^delay|proximity|roll on|roll off|click on|step in|step out|timer|location|key down|key up|key hold" 
	key="key value" delay="seconds" radius="# of blocks">
</script>

!
!TEXT=Player
<player size="\^(x,y,z)" camera="(x,y,z)" block="block name"
	move_forwards="key" move_back="key" move_left="key" move_right="key"
	look_up="key" look_down="key" sidle_mode="key" fast_mode="key" go_faster="key" go_slow="key"/>

!
!TEXT=Import
<import></import>

!
!TEXT=Load
<load></load>

!
!TEXT=Define
<define>
	
</define>

!
!TEXT=Load Texture
	<load texture="\^folder/image.gif"/>
	
!
!TEXT=Load Sound
	<load sound="\^folder/sound.wav"/>
	
!
!TEXT=Level 
<level number="\^number" >

</level>

!
!TEXT=Entrance
<entrance location="(\^column,row,level)"  name="name" angle="0 - 359,-90 - 90"/>

!
!TEXT=Exit
<exit location="(\^column,row,level)" href="folder/spot.3dml#entrance-name" 
	trigger="click on,step on" text="text" target="target frame"/>

!
!TEXT=Point_light (static)
<point_light style="static" location="(\^column,row,level)" 
	position="(x, y, z)" brightness="n%" 
	radius="#_of_blocks" flood="yes|no" color="(r,g,b)"/> 

!
!TEXT=Point_light (pulsing)
<point_light style="pulsate" location="(\^column,row,level)" 
	position="(x, y, z)" brightness="min%..max%" 
	radius="number_of_blocks" flood="yes|no" 
	color="(r,g,b)" speed="cycles_per_second" />

!
!TEXT=Spot_light (static)
<spot_light style="static" location="(\^column,row,level)"
         position="(x, y, z)" brightness="n%" radius="number_of_blocks" 
	 flood="yes|no"  color="(r,g,b)"direction="(turn,tilt)" cone="angle"/>

!
!TEXT=Spot_light (searching)
<spot_light style="search" location="(\^column,row,level)"
         position="(x, y, z)" brightness="n%" 
	 radius="blocks" flood="yes|no"  color="(r,g,b)"
	 direction="(turn1,tilt1)..(turn2,tilt2)" cone="angle" 
	 speed="cycles_per_second" />

!
!TEXT=Spot_light (revolving)
<spot_light style="revolve" location="(\^column,row,level)" 
	position="(x, y, z)" brightness="n%" 
	radius="blocks" flood="yes|no" color="(r,g,b)"
        direction="(turn1,tilt1)..(turn2, tilt2)" cone="angle"
        speed="revolutions_per_second"/> 

!
!TEXT=Sound
<sound file="\^sounds/noise.wav" volume="number%" location="(column,row,level)" 
	radius="number of blocks" flood="yes|no" playback="looped|random|once|single" delay="minimum..maximum" rolloff="1.0"/> 

!
!TEXT=Popup 
<popup texture="\^folder/image.gif -or- url" 
	placement="top-left|top|top-right|left|center|right|bottom-left|bottom|bottom-right" 
	trigger="rollover,proximity|everywhere" location="(column,row,level)" radius="number-of-blocks" 
	color="(r,g,b)" size="(width, height)" brightness="brightness%" text="message" 
	textalign="top-left|top|top-right|left|center|right|bottom-left|bottom|bottom-right" textcolor="(r,g,b)"
	imagemap="map name" />

!
!TEXT=Action 
<action trigger="\^roll on|roll off|click on|step in|step out|proximity|timer|location|key down|key up|key hold" key="key value" 
	location="(column,row,level)" radius="number-of-blocks" delay="min..max" partname="part name">
	<replace target="(column,row,level)" source="(column,row,level)|symbol"/>
	<spin angles="(x,y,z)"/> 
	<orbit source="block symbol" distance="(x,y,z)" speed="number"/>
	<ripple style="waves|rain" force="number" droprate="droprate%" drop="drop%"/>
	<move pattern="(sp,x speed,y speed,z speed), (mv,x distance,y distance,z distance), (lp)"/>
	<play_stream name="video/audio file"/>
	<stop_stream/>
	<pause_stream/>
	<resume_stream/>	
	<animate/>
	<setframe number="+1"/>
</action>

!
!TEXT=Imagemap
<imagemap name="\^imagemap name"> 
	<area shape="rect|circle" coords="x1,y1,x2,y2 | x,y,radius" 
		href="destination url" target="destination name" text="message" />
	<action shape="rect|circle" coords="x1,y1,x2,y2 | x,y,radius"
		trigger="roll on|roll off|click on|step in|step out|proximity|timer|location|key down|key up|key hold" key="key value"  
		location="(column,row,level)" radius="number-of-blocks" delay="min..max">
		<replace target="(column,row,level)" source="(column,row,level)|symbol" />
	</action>
</imagemap> 

!
!TEXT=3DML Embed HTML
<html>
<head>
<title></title>
</head>
<body color="#000000" leftmargin=0 topmargin=0 scroll="no">

<embed type="model/vnd.flatland.3dml" src="\^myspot.3dml" pluginspage="http://www.flatland.com/download/"
height="100%" width="100%">
</body>
</html>

!


