!TCL=673,  by GEE 2005
!TITLE=3DML Block Definitions
!SORT=n

!TEXT=--------------------Blocks--------------------

!
!TEXT=Structural Block Template
<block name="\^block name" type="structural|player" entrance="yes|no"> 
	<vertices>
		<vertex ref="number" coords="(x.00000, y.00000, z.00000)"/>
	</vertices>
	<parts>
		<part name="part name" texture="texture.gif|jpg" color="(0,0,0)" translucency="%" 
		      faces="0|1|2" style="tiled|stretched|scaled" >
			<polygon ref="number" vertices="#,#,#,#" texcoords="(0,0),(0,1),(1,1),(1,0)" />
		</part>
	</parts>
	<point_light style="pulse|static" brightness="%" position="(x,y,z)" 
		radius="# of blocks"  flood="yes|no" speed="cycles_per_second"/>
	<spot_light style="static|search|revolve" brightness="%" position="(x,y,z)" 
		direction="(0-359,-90-90)|(0-359,-90-90)..(0-359,-90-90)" cone="0-359" 
		radius="# of blocks"  flood="yes|no" speed="cycles_per_second"/>
	<param orient="x,y,z" solid="yes|no" />
</block>

!
!TEXT=    Vertex
		<vertex ref="\^number" coords="(x.00000, y.00000, z.00000)"/>
		
!
!TEXT=    Part
		<part name="\^part name" texture="texture.gif|jpg" color="(0,0,0)" translucency="%" 
		      faces="0|1|2" style="tiled|stretched|scaled">
		</part>
		      
!
!TEXT=    Polygon
			<polygon ref="\^number" vertices="#,#,#,#" texcoords="(0,0),(0,1),(1,1),(1,0)" />
			
!
!TEXT=Animated Block Template
<block name="\^block name" type="structural|player" entrance="yes|no">
	<frames size="number">
	<frame ref="number">
	<vertices>
		<vertex ref="number" coords="(x.00000, y.00000, z.00000)"/>
	</vertices>
	</frame>
	</frames>
	<loops size="number of loops">
	<loop ref="1" frames="1" texcoords="(0,0),(0,0),(0,0)" />
	<loop ref="2" frames="start frame#..end frame #" texcoords="(0,0),(0,0),(0,0)" />
	</loops>
	<parts>
		<part name="part name" texture="texture.gif|jpg" color="(0,0,0)" translucency="%" 
		      faces="0|1|2" style="tiled|stretched|scaled" >
			<polygon ref="number" vertices="#,#,#,#" texcoords="(0,0),(0,1),(1,1),(1,0)" />
		</part>
	</parts>
	<point_light style="pulse|static" brightness="%" position="(x,y,z)" 
		radius="# of blocks"  flood="yes|no" speed="cycles_per_second"/>
	<spot_light style="static|search|revolve" brightness="%" position="(x,y,z)" 
		direction="(0-359,-90-90)|(0-359,-90-90)..(0-359,-90-90)" cone="0-359" 
		radius="# of blocks"  flood="yes|no" speed="cycles_per_second"/>
	<param orient="x,y,z" solid="yes|no" />
</block>

!
!TEXT=    Frame
	<frame ref="\^number">
	<vertices>
		<vertex ref="number" coords="(x.00000, y.00000, z.00000)"/>
	</vertices>
	</frame>
	
!
!TEXT=--------------------Sprites-------------------

!
!TEXT=Angled Sprite
<block name="sprite" type="angled sprite">
	<part name="sprite" texture="\^texture.gif|jpg" color="(0,0,0)" translucency="%" 
	      faces="0|1|2" style="tiled|stretched|scaled" />
	<param size="(0-256,0-256)" align="top|center|bottom" solid="yes|no" angle="0-359" />	
</block>

!
!TEXT=Facing Sprite
<block name="spriteface" type="facing sprite">
	<part name="sprite" texture="\^texture.gif|jpg" color="(0,0,0)" translucency="%" 
	      faces="0|1|2" style="tiled|stretched|scaled" />
	<param size="(0-256,0-256)" align="top|center|bottom" solid="yes|no" angle="0-359" />
</block>

!
!TEXT=Multifaceted Sprite
<block name="spritefacet" type="multifaceted sprite">
	<part name="sprite" texture="\^texture.gif|jpg" color="(0,0,0)" translucency="%" 
	      faces="0|1|2" style="tiled|stretched|scaled" />
        <param size="(0-256,0-256)" align="top|center|bottom" solid="yes|no" angle="0-359" />
</block>

!
!TEXT=Revolving Sprite
<block name="spriterevolve" type="revolving sprite">
	<part name="sprite" texture="\^texture.gif|jpg" color="(0,0,0)" translucency="%" 
	      faces="0|1|2" style="tiled|stretched|scaled"/>
	<param size="(0-256,0-256)" align="top|center|bottom" solid="yes|no" 
	      angle="0-359" speed="cycles_per_second"/>
</block>

!
!TEXT=---------------------Sound--------------------

!
!TEXT=Sound Block
<block name="sound" type="structural" entrance="yes">
        <sound file="\^sounds/noise.wav" volume="number%" playback="looped|random|once|single"
	delay="minimum..maximum" flood="yes|no" radius="number of blocks" rolloff="1.0"
        name="sound name" /> 
</block>

!
!TEXT=---------------------Style--------------------

!
!TEXT=Style File Template
<style>
	<block symbol="\^symbol" double="double symbol" file="blockname.block"/>
</style>

!
!TEXT=  Block 
<block symbol="\^symbol" double="double symbol" file="blockname.block"/>

!

